在宝塔中针对不同 PHP 版本执行 composer 命令

在宝塔中针对不同 PHP 版本执行 composer 命令

PHP 1 month ago 411 0

最近更新宝塔后发现在每个项目中 composer项不见了。

如果执行在默认php 版本为 7.4,在8.0 项目中执行 comopser update 会失败。

不想更换默认php 版本,而且来回切换也很烦

查了下资料执行以下命令即可: 以 php8.0 为例:

/www/server/php/80/bin/php /usr/bin/composer install/update

原文: http://yiqiao.me/articles/39/execute-composer-commands-for-different-php-versions-in-the-pagoda

版权声明: 自由转载-非商用-非衍生-保持署名 (创意共享3.0许可证)